"""GMailAuthPlugin
Copyright(C), 2005, Enfold Systems, LLC - ALL RIGHTS RESERVED

This software is licensed under the Terms and Conditions contained within the
LICENSE.txt file that accompanied this software.  Any inquiries concerning the
scope or enforceability of the license should be addressed to:

Enfold Systems, LLC
4500 Montrose Blvd., Suite D
Houston, Texas 77006 USA
p. +1 713.942.2377 | f. +1 832.201.8856
www.enfoldsystems.com
info@enfoldsystems.com
"""

from AccessControl.Permissions import add_user_folders
from Products.PluggableAuthService.PluggableAuthService import registerMultiPlugin
from GMailAuthPlugin import GMailAuthPlugin, manage_addGMailAuthPlugin, manage_addGMailAuthPluginForm

def initialize(context):
    """ Initialize the GMailAuthPlugin """
    try:
        registerMultiPlugin(GMailAuthPlugin.meta_type)

        context.registerClass( GMailAuthPlugin
                             , permission=add_user_folders
                             , constructors=( manage_addGMailAuthPluginForm
                                            , manage_addGMailAuthPlugin
                                            )
                             , icon='www/gmail.png'
                             , visibility=None
                             )

    except ImportError:
        # If we don't have libgmail installed (and installed
        # correctly) then there is no point in exposing this plugin.
        pass

